#!/bin/sh

. install2-init-functions

mountd_port=800
nfsconf="$destdir/etc/sysconfig/nfs"
iptablesdir="$destdir/etc/alterator/net-iptables"

[ -d "$iptablesdir" -a ! -s "$iptablesdir/nfs.desktop" ]  || exit 0
[ -f "$nfsconf" ] || return

cat >"$iptablesdir/nfs.desktop"<<EOF
[Desktop Entry]
Type=Application
Categories=X-Alterator-Xorg
Icon=secure
Terminal=false
Name=NFS
X-Alterator-Port=tcp:111;udp:111;tcp:2049;udp:2049;tcp:$mountd_port;udp:$mountd_port
EOF

if grep -qs '^#\?[[:space:]]*MOUNTD_PORT=' "$nfsconf"; then
    sed "s/^#\?[[:space:]]*MOUNTD_PORT=.*/MOUNTD_PORT=$mountd_port/" -i "$nfsconf"
else
    echo "MOUNTD_PORT=$mountd_port" >>"$nfsconf"
fi
